atom_feed(
  :language => 'ja-JP',
  :root_url => root_url,
  :url => root_url(:format => :atom),
  :id => root_url
) do |feed|
  feed.title MagicNumber['profile']['users']['caption']
  feed.subtitle sanitize(MagicNumber['profile']['users']['description'], :tags => %w(a p img br))
  feed.updated Time.now
  feed.author {|author| author.name(MagicNumber['profile']['web_master'])}

  @panels.each do |panel|
    feed.entry(
      panel,
      :url => panel_url(panel),
      :id => panel_url(panel),
      :published => panel.updated_at,
      :updated => panel.updated_at
    ) do |item|
      item.title(panel.caption)
      item.content(panel.scenario, :type => 'html')
      item.author {|author| author.name(panel.author.name)}
    end
  end
end
